import { AppAutomateClient } from './app-automate';
import { AutomateClient } from './automate';
import type { components } from './generated/openapi';
import { JSTestingClient } from './js-testing';
import { LocalTestingClient } from './local-testing';
import { ScreenshotsClient } from './screenshots';
export type { APIFetchOptions, BrowserStackOptions } from './api-client';
export type { AppAutomateClient } from './app-automate';
export type { AutomateClient } from './automate';
export type { BrowserStackError, ErrorContext } from './error';
export type { JSTestingClient } from './js-testing';
export type { LocalTestingClient } from './local-testing';
export type { ScreenshotsClient } from './screenshots';
export type schemas = components["schemas"];
/**
 * Represents the BrowserStack API module.
 * @module
 * @public
 */
export declare const BrowserStack: {
    AutomateClient: typeof AutomateClient;
    ScreenshotsClient: typeof ScreenshotsClient;
    AppAutomateClient: typeof AppAutomateClient;
    JSTestingClient: typeof JSTestingClient;
    /**
     * Backwards compatibility alias for {@link JSTestingClient}.
     */
    Client: typeof JSTestingClient;
    LocalTestingClient: typeof LocalTestingClient;
};
